FROM --platform=linux/amd64 base
MAINTAINER Stefano Alberto Russo <stefano.russo@inaf.it>

# Switch to root
USER root

#------------------------
# Install Jupyter
#------------------------

# Curl
RUN apt-get install curl -y

# Install get-pip script
RUN curl -O https://bootstrap.pypa.io/get-pip.py

# Install Python3 and Pip3
RUN apt-get install python3 python3-distutils -y 
RUN python3 get-pip.py #-c <(echo 'pip==20.2')

# Python-tk required by matplotlib/six
RUN apt-get install python-tk python3-tk python3-dev build-essential -y

# Install Jupyter and Sphinx for docs
RUN pip3 install notebook==5.7.10 


#------------------------
# Post-intall
#------------------------

# Fix home permissions
RUN chmod 777 /home

# Set entrypoint command
COPY files/entrypoint.sh /usr/bin/entrypoint.sh
RUN chmod 755 /usr/bin/entrypoint.sh
ENV DEFAULT_ENTRYPOINT_COMMAND="/usr/bin/entrypoint.sh"

# Set user
USER metauser

# Set container name
ENV CONTAINER_NAME='jupyternotebook'



